package UsageDetail

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/UsageDetail"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /usage_detail UsageDetail GetUsageDetail
//
// Get usage detail list | 获取Wx列表
//
// Get usage detail list | 获取Wx列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: UsageDetailResp

func GetUsageDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := UsageDetail.NewGetUsageDetailLogic(r.Context(), svcCtx)
		resp, err := l.GetUsageDetail(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
